using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 导航属性：危险源及风险库相关设施
    /// </summary>
    [Description("导航属性：危险源及风险库工程控制措施")]
    public class T_HM_EVALUATE_RISK_ENGINEERING_MEASURES : MesEntityBase
    {
        /// <summary>
        /// 危险源及风险库ID
        /// </summary>
        [Description("危险源及风险库ID")]
        [DataFieldForeignKey("Nav_EvaluationRisk", "Nav_EvaluateRiskEngineeringMeasures")]
        public Guid EVALUATION_RISK_ID { get; set; }

        /// <summary>
        /// 工程控制措施
        /// </summary>
        [Description("工程控制措施")]
        [DataFieldForeignKey("Nav_EngineeringMeasures")]
        [FormFieldEdit]
        public Guid ENGINEERING_MEASURES_ID { get; set; }

        /// <summary>
        /// 导航属性：危险源及风险库
        /// </summary>
        [Description("导航属性：危险源及风险库")]
        public T_HM_EVALUATE_RISK Nav_EvaluationRisk { get; set; }

        /// <summary>
        /// 导航属性：工程控制措施
        /// </summary>
        [Description("导航属性：工程控制措施")]
        public T_HM_ENGINEERING_MEASURES Nav_EngineeringMeasures { get; set; }
    }
}
